Skip to content
Start here

Fetch all chat messages of a session

realtime_kit.sessions.get_session_chat(strsession_id, SessionGetSessionChatParams**kwargs) -> SessionGetSessionChatResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/chat

Returns a URL to download all chat messages of the session ID in CSV format.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
session_id: str
ReturnsExpand Collapse
class SessionGetSessionChatResponse:
data: Optional[Data]
chat_download_url: str

URL where the chat logs can be downloaded

chat_download_url_expiry: str

Time when the download URL will expire

success: Optional[bool]

Fetch all chat messages of a session

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.sessions.get_session_chat(
    session_id="session_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": {
    "chat_download_url": "chat_download_url",
    "chat_download_url_expiry": "chat_download_url_expiry"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "chat_download_url": "chat_download_url",
    "chat_download_url_expiry": "chat_download_url_expiry"
  },
  "success": true
}